Subject: Re: bug#13252: must load a package before instrumenting it with elp

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Feb 2022 01:01:36 +0100

"Fabrice Niessen" <[email-masked]> writes:

> That seems to be it. So, per se, it's not a bug.
>
> Though, we could imagine a better behavior of `elp-instrument-package' when
> instrumenting a non-yet required package; for example:
>
> - be warned that it's not possible at that stage, or
>
> - remember to instrument the package as soon it's required (somehow like an
>   `eval-after-load'), or
>
> - requiring it when instrumenting it.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think the way it currently works makes sense (that is, you can tell
which functions get instrumented easily), but the name of the function
seems to imply that it's doing something grander.  So I've noted how it
actually works in the doc string in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no